Bug 240314 - prelink infinitely loops when processing /usr/bin/fparser
prelink infinitely loops when processing /usr/bin/fparser
Product: Fedora
Classification: Fedora
Component: prelink (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Depends On:
  Show dependency treegraph
Reported: 2007-05-16 09:32 EDT by Eric Harney
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-06-03 20:11:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
gdb backtrace during infinite loop (6.61 KB, text/plain)
2007-05-16 09:32 EDT, Eric Harney
no flags Details

  None (edit)
Description Eric Harney 2007-05-16 09:32:59 EDT
Description of problem:
prelink goes into an infinite loop when processing /usr/bin/fparser (part of frysk)

Version-Release number of selected component (if applicable):
md5sum 1998f58450b20f2b8f4d37a59b8aacca  /usr/bin/fparser

How reproducible:
Every time

Steps to Reproduce:
1. prelink /usr/bin/fparser
Actual results:
Hangs in infinite loop

Additional info:
See attached backtrace, gathered by attaching gdb to prelink, ctrl-c, and "bt full"
Comment 1 Eric Harney 2007-05-16 09:32:59 EDT
Created attachment 154820 [details]
gdb backtrace during infinite loop
Comment 2 Eric Harney 2007-05-16 11:08:55 EDT
Also, running "prelink -y" on _any_ of the /usr/bin/f* from the frysk package
will either hang as this first one did, or print loads of gibberish to the
screen.  This is a nasty one.
Comment 3 Jakub Jelinek 2007-05-25 09:10:48 EDT
Can't reproduce, with the same i386 prelink package and same frysk package, same
md5 sum before prelinking.
Comment 4 Eric Harney 2007-05-25 12:43:26 EDT
I can no longer reproduce the first problem either, but am still encountering
the second one... running "prelink -y /usr/bin/fparser" sits for a while and
then prints a load of random data to the screen.  This happens both before and
after the original file has been prelinked.
Comment 5 Eric Harney 2007-06-03 20:11:22 EDT
Can't reproduce the main issue I was reporting any more, and the second
complaint was my error.  I think this one can be closed.

Note You need to log in before you can comment on or make changes to this bug.